import { DomainSelectors, DomainModule, DomainModuleOption, KopDomainModule } from '../types/domainModule';
/**
 * 创建container module
 */
export default function createDomainModule<Entities, Selectors extends DomainSelectors<Entities> = DomainSelectors<Entities>, Effects = {}>(namespace: string, pkg: DomainModuleOption<Entities, Selectors, Effects>): KopDomainModule<Selectors, Entities, Effects>;
export declare function initDomainActions<Entities, Selectors, Effects>(module: DomainModule, pkg: DomainModuleOption<Entities, Selectors, Effects>, namespace: string, moduleType: symbol): void;
