import { WrappedAction } from 'types/common';
import { DOMAIN_MODULE, PAGE_MODULE, CONTAINER_MODULE, GLOBAL_MODULE } from '../../const';
export default function createEffectsAndActions(namespace: string, normalActions: any, selectors: any, events: any, effectsOpt: any): {
    effectActions: {};
    allActions: {};
    effects: Function[];
};
export declare const getAuthCheck: {
    [PAGE_MODULE]: (action: WrappedAction, currentNamespace: string) => boolean;
    [CONTAINER_MODULE]: (action: WrappedAction, currentNamespace: string) => boolean;
    [DOMAIN_MODULE]: (action: WrappedAction, currentNamespace: string) => void;
    [GLOBAL_MODULE]: (action: WrappedAction, currentNamespace: string) => boolean;
};
declare function _getEffectsAndActions(namespace: any, normalActions: any, selectors: any, events: any, effectsOpt: any, moduleType: any, effectLoading: any): {
    effectActions: {};
    allActions: {};
    effects: Function[];
};
export declare const createPageEffects: typeof _getEffectsAndActions;
export declare const createContainerEffects: typeof _getEffectsAndActions;
export declare const createGlobalEffects: typeof _getEffectsAndActions;
export declare function createDomainEffects(namespace: any, selectors: any, servicesOpt: any, entities: any, moduleType: any, module: any): {
    actions: {};
    effects: Function[];
};
export {};
