interface ActionOption {
    namespace: string;
    actionType: string;
    actionKind: symbol;
    kopFunction?: Function;
    changeLoading?: Function;
    moduleType?: symbol;
}
export declare function getActionTypeWithNamespace(namespace: string, type: string): string;
export declare function createActionCreators({ namespace, module, actionCreators, moduleType, checkAuth }: {
    namespace: any;
    module: any;
    actionCreators: any;
    moduleType: any;
    checkAuth: any;
}): {
    actionCreators: {};
};
export default function createAction({ namespace, actionType, actionKind, kopFunction, changeLoading, moduleType }: ActionOption): {
    (payload: object, meta: object, referrer: any, error: any): {
        payload: object;
        meta: object;
        referrer: any;
        error: any;
        type: string;
        __namespace: string;
        __actionKind: symbol;
        __type: string;
        __kopFunction: Function | undefined;
        __changeLoading: Function | undefined;
        __moduleType: symbol | undefined;
    };
    type: string;
    toString(): string;
    __actionKind: symbol;
    __kopFunction: Function | undefined;
};
export {};
