import { effects } from 'redux-saga';
import { MODULE } from '../../const';
export declare function parseActionsAndReducers(namespace: string, reducerMap: any, moduleType: any): {
    actions: {};
    reducers: {};
};
export declare function getModuleState(state: any): any;
export declare function getGlobalState(state: any): any;
export declare function initInitialState(module: any, pkg: any): void;
export declare const initModule: (pkg: any, namespace: string, type: symbol) => {
    namespace: string;
    type: symbol;
    MODULE: string;
    parent: {};
    presenter: {
        loaded: boolean;
    };
};
export declare function wrapEffectsFunc(authCheck: any, namespace: any): typeof effects;
export declare function initActions(module: any, pkg: any, namespace: any, moduleType: any, authCheck?: Function): {
    actions: any;
    effects: any;
    _reducers: {};
    event: (name: any) => string;
    actionCreators: {};
} | {
    _reducers: {};
    actions: {};
    event: (name: any) => string;
    actionCreators: {};
    effects?: undefined;
};
export declare function initSelectors(module: any, pkg: any, namespace: any, moduleType: any): void;
export declare function initActionCreators(module: any, pkg: any, namespace: any, moduleType: any, checkAuth: any): {};
export declare function getWrappedEffectOptions(moduleType: symbol, namespace: string, events: any): {
    sagaEffects: typeof effects;
    enhancer: {
        syncPut: (action: any) => effects.PutEffect<any> | Generator<effects.CallEffect | effects.PutEffect<any>, any, unknown>;
    };
};
